/* Toggle icon color fix (bootstrap issue) */
/* .navbar-toggler {
    border-color: rgba(255, 255, 255, 0.7);
} */

.navbar-toggler-icon {
    filter: invert(1);

    display: inline-block;
    width: 25px;
    height: 18px;
    vertical-align: middle;
    background-repeat: no-repeat;
    background-position: center;
    background-size: 100%;
}


/*======================*/
/* Large Mobile */
/*======================*/

    @media (max-width: 768px) {


        .hero-title {
            /* font-size: 45px; */
            font-family: cursive;   
            /* font-size: 75px; */
            /* font-weight: 700; */
            line-height: 1.1;
        }

        .card-img-fixed {
            height: 200px;
        }

    /* Responsive Image Height */
        .trek-card {
            height: 260px;
        }

        .explore-section {
                background-color: none !important;
            }

            .hero-overlay {
            width: 100%;
            padding: 2rem;
            /* background: linear-gradient(
                to top,
                rgba(0, 0, 0, 0.8),
                rgba(0, 0, 0, 0.2)
            ); */
            align-items: center;
            background: none !important;
            inset: 0;
        }

            .hero-scroll-btns {
                display: none;
            }

        .hero-title {
            font-size: 30px;
            font-weight: 600;
        }

        .hero-img {
                height: 90% !important;
                object-fit: cover;
                max-height: none;
            }

        
        /* .explore-section {
            min-height: 25vh !important;
            padding: 40px 15px !important;
            background-position: left;
        } */

        .hero-btn {
        /* padding: 10px 20px;
        border-radius: 30px;
        font-weight: 600;
        text-decoration: none;
        font-size: 14px;
        transition: all 0.3s ease; */
        /* height: 45px;
        width: 80px; */

    }

    }


    @media (min-width: 768px) {
    .container-custom {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        gap: 10px; /* 👈 GRID GAP CONTROL */
    }
    }


/*================================================================================================================================*/
/*================================================================================================================================*/



/*======================*/
/* Small Mobile */
/*======================*/

    @media (max-width: 576px) {
    #heroCarousel,
    #heroCarousel .carousel-inner,
    #heroCarousel .carousel-item {
        height: 35vh;
    }

    .hero-content .d-flex {
        width: 100%;
    }
     .hero-btn {
        max-width: 100%;
        /* width: 60%; */
        text-align: center;
        padding: 12px !important;
        margin-bottom: 10px;

     }
        .video-hero {
            height: 70vh;
        }

        .hero-title {
            font-size: 35px;
        }

    /* Responsive Image Height */
        .trek-card {
            height: 220px;
        }

            
        /* .explore-section {
            min-height: 55vh;
            padding: 40px 15px;
        } */

        .explore-section {
                height: auto;
                min-height: 60vh;
                padding: 4rem 1.5rem;
                background-size: cover;
                background-position: center center;
                background-attachment: scroll;
                /* iOS Safari fix */
            }

            .explore-section .row {
                flex-direction: column;
                text-align: center;
            }

            .explore-section h2 {
                font-size: 1.8rem;
            }

            .explore-section p {
                font-size: 1rem;
            }

            .explore-section {
                background-color: none !important;
            }
    }

/*================================================================================================================================*/
/*================================================================================================================================*/




/*======================*/
/* Very Small Phones */
/*======================*/

@media (max-width: 400px) {
    .hero-title {
        font-size: 28px;
    }


    /* .explore-section {
        min-height: 55vh;
        padding: 40px 15px;
    } */

}






/*================================================================================================================================*/
/* ---------------------------------------------- Mobile Responsiveness Fix ----------------------------------------------------- */
/*================================================================================================================================*/

@media (max-width: 991px) {

    .video-hero {
        height: 60vh;
    }

    .top-nav {
        padding: 4px 0px !important;
    }

    /* Logo */
    .logo-text {
        font-size: 30px;
    }

    /* Stack nav items vertically */
    .navbar-nav {
        gap: 15px;
        padding: 15px;
    }

    /* Gradient dropdown background */
    .navbar-collapse {
        /* background: linear-gradient(135deg, #ffffff 0%, #9effd7d9 100%);   */
        background-color: #ffffff;
        padding: 20px;
        border-radius: 10px;
    }

    /* .nav-link {
        color: white !important;
    } */

    /* Book Now btn moves inside menu */
    .nav-btn-top {
        /* margin-top: 15px;
        width: 100%; */
    }

    /* Hero image */
     .hero-section.rounded-3 {
        border-radius: 0 !important;
    }

    .packages-box img {
    width: 100%;
    height: 295px;
    object-fit: cover;
    border-radius: 5px;
    transition: transform 0.5s ease-in-out;
    }

    .about-our-mission {
        margin-left: 0 !important;
        border-radius: 0 !important;
    }

    .core-values {
        width: 100%;
    }
    

         #heroCarousel {
             /* height: 300px; */
             /* position: relative;
             margin: 0 0 15px 0; */

         }


        #heroCarousel,
        #heroCarousel .carousel-inner,
        #heroCarousel .carousel-item {
            height: 35vh;
        }

         .hero-img {
             height: 90%;
             object-fit: cover;
             max-height: none;
         }

         .hero-scroll-btns {
             display: none;
         }


         .hero-text {
             font-size: 15px !important;
             /* Smaller text for mobile */
             font-family: 'Montserrat', sans-serif !important;
             line-height: 1.2;
             font-family: 'Libre Caslon Display', serif;
             /*      'Montserrat', sans-serif;   */
         }

         .tab-btn {
            width: 45%;
         }



         .explore-section h2 {
             font-family: 'Playfair Display', serif;
         }

         .explore-section {
             height: 65vh;
         }

         .explore-section {
             background-color: none !important;
         }

         .explore-section h2,
         .explore-section p,
         .explore-section a {
             color: white;
         }

         .services-section h3 {
             font-size: 25px;
             font-weight: 700;
             font-family: 'Playfair Display', serif;
         }

         .services-section h3::after {
             content: "";
             position: absolute;
             left: 50%;
             transform: translateX(-50%);
             bottom: -8px;
             width: 83px;
             height: 3px;
             background: #0d6efd;
         }


         .services-section h4 {
             font-size: 20px;
             font-family: 'Playfair Display', serif;
         }

         /* testimonialCarousel, */
         #testimonialCarousel .carousel-inner {
             height: auto;
         }


         .separator-section {
             height: 120px;
             background-size: auto;
         }

         .separator-content {
             padding-left: 25px;
         }

         .separator-content h2 {
             font-size: 20px;
         }

         .separator-content h5 {
             font-size: 14px;
         }

         .card-body span {
            color: #000;
            font-size: 18px;
            margin-top: 1px;
        }
        .featured-card {
                height: 300px !important;    
            }

        .featured-overlay {
            bottom: 0;      
            padding: 12px;
        }

        .trek-text h5 {
            font-size: 1rem;
            font-weight: 700;
            margin: 0;
        }

        .trek-text p {
            margin: 0;
            font-size: 15px;
        }


}

/*================================================================================================================================*/

/* Mobile view only */
@media (max-width: 991.98px) {

    /* Collapsed navbar background */
    .navbar-collapse {
        background-color: #ffffff;
        padding: 15px;
    }

    /* Nav links color */
    .navbar-collapse .nav-link {
        color: #000000 !important;
    }

    .navbar-collapse .nav-link:hover {
        color: #198754; 
    }

    .nav-btn-top {
        /* margin-top: 10px;
        display: inline-block; */
    }
}

/*================================================================================================================================*/
/*================================================================================================================================*/

     @media (max-width: 767px) {

         .hover-card {
             height: 300px;
         }

         .hover-card .overlay {
             padding: 10px 15px;
             bottom: 15px;  /* normal state slightly above bottom */
         }

         .hover-card .overlay h5 {
             font-size: 16px;
         }

         .hover-card .overlay p {
             font-size: 13px;
         }

         .container-custom {
             overflow-x: auto;
             white-space: nowrap;
             padding: 35px;
         }

         .item {
             display: inline-block;
             width: 200px;
             margin-right: 6px; /* controlled gap */
         }

        .container-custom {
            overflow-x: auto;
            white-space: nowrap;
                padding: 35px;
        }

     }
/*================================================================================================================================*/
/*================================================================================================================================*/

